Package org.eclipse.net4j.protocol

## Interface IProtocolProvider

- All Known Implementing Classes:
    `ContainerProtocolProvider`, `ContainerProtocolProvider.Client`, `ContainerProtocolProvider.Server`, `FactoriesProtocolProvider`

      public interface IProtocolProvider

  Provides `protocol` instances for given types.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IProtocol<?>` | `getProtocol​(java.lang.String type)` |

- - ### Method Detail

    - #### getProtocol

          IProtocol<?> getProtocol​(java.lang.String type)

      Since:
        2.0